"""

jmb.tools
=========

this package provides a single command ``jmb`` that is a tool to test
and configure projects and environments.

It's main goal is to provide tools to easily generate configurations
and to keep under control each part of a project deploy

Mail parts:

:kick: a tool to bootstrap a project starting from our templates

:port: a tool to port projects to py3 or to buildout2

:stat: tools to push the configuration to a remote centralized server

:test: tools to test a configuration both local and remote.
       E.g: certification expiry, ssl configuration, server_name resolution

"""
import logging
import logging.handlers

NGINX_ENABLED_DIR = '/etc/nginx/sites-enabled'
LETSENCRYPT_CONF_DIR = '/etc/letsencrypt'


__version__ = '0.6.2'

def configure_logging(name, console=True, level='info'):
    logger = logging.getLogger('jmb')
    logger.setLevel(getattr(logging, level.upper()))

    formatter = logging.Formatter('%(name)s - %(levelname)s - %(message)s')
    handler = logging.handlers.SysLogHandler(address = '/dev/log')
    handler.setFormatter(formatter)
    logger.addHandler(handler)

    if console:
        ch = logging.StreamHandler()
        ch.setLevel(logging.DEBUG)
        logger.addHandler(ch)

    return logger

logger = logging.getLogger('jmb')
