import click

from . import push


@click.group()
@click.pass_context
def register(ctx):
    """Register a configuration to remote server

    cron should push configuration as

      jmb register host
      jmb register site -e
      jmb register project --pass -b /home/www

    """


register.add_command(push.push_info)
register.add_command(push.push_host)
register.add_command(push.show)
register.add_command(push.test)
register.add_command(push.push_site_info)
